Bug 744439

Summary: systemadm tends to crash when services change state
Product: [Fedora] Fedora Reporter: Matthias Runge <mrunge>
Component: systemd-uiAssignee: Lennart Poettering <lpoetter>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 19CC: 100domicil, arithmos, brpocock, bugzilla.redhat, dev, geigor, harald, ikisham, johannbg, kay, lnie, lpoetter, lukas+fedora, metherid, mnowak, mschmidt, notting, packages, plautrba, selinux
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: systemd-ui-3-1.fc20 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-12-28 18:37:14 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Matthias Runge 2011-10-08 13:47:42 EDT
Description of problem:
systemadm dies after stopping disabled service

Version-Release number of selected component (if applicable):
systemd-gtk-36-3.fc16.i686
glibc-2.14.90-10.i686

How reproducible:
every time

Steps to Reproduce:
1. start systemadm
2. select to show disabled services
3. stop a disabled service
  
Actual results:
[root@sofja ~]# systemadm 
*** glibc detected *** systemadm: free(): invalid pointer: 0x080627b9 ***
======= Backtrace: =========
/lib/libc.so.6[0x49e2b2f2]
/lib/libglib-2.0.so.0(+0x4a03c)[0x7c603c]
/lib/libglib-2.0.so.0(g_free+0x37)[0x7c6337]
systemadm[0x8061984]
systemadm[0x805031a]
systemadm[0x8051f24]
/lib/libgobject-2.0.so.0(g_closure_invoke+0x1b5)[0x546575]
/lib/libgobject-2.0.so.0(+0x1f700)[0x559700]
/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x77f)[0x56219f]
/lib/libgobject-2.0.so.0(g_signal_emit_by_name+0x187)[0x562497]
systemadm[0x805ab48]
/usr/lib/libffi.so.5(ffi_call_SYSV+0x1a)[0x4a16749a]
/usr/lib/libffi.so.5(ffi_call+0x70)[0x4a1671d0]
/lib/libgobject-2.0.so.0(g_cclosure_marshal_generic+0x16e)[0x546a4e]
/lib/libgobject-2.0.so.0(+0xaf6e)[0x544f6e]
/lib/libgobject-2.0.so.0(g_closure_invoke+0x1b5)[0x546575]
/lib/libgobject-2.0.so.0(+0x1f548)[0x559548]
/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x77f)[0x56219f]
/lib/libgobject-2.0.so.0(g_signal_emit+0x34)[0x562304]
/lib/libgio-2.0.so.0(+0xbdc1a)[0xba1c1a]
/lib/libgio-2.0.so.0(+0xab2d6)[0xb8f2d6]
/lib/libglib-2.0.so.0(+0x3f3e1)[0x7bb3e1]
/lib/libglib-2.0.so.0(g_main_context_dispatch+0x1df)[0x7bf59f]
/lib/libglib-2.0.so.0(+0x43ce0)[0x7bfce0]
/lib/libglib-2.0.so.0(g_main_loop_run+0x157)[0x7c0317]
/usr/lib/libgtk-x11-2.0.so.0(gtk_main+0xaf)[0x4b80eb2f]
systemadm[0x8053c79]
systemadm[0x804ad61]
/lib/libc.so.6(__libc_start_main+0xf3)[0x49dce683]
systemadm[0x804ae2d]
======= Memory map: ========
00110000-00114000 r-xp 00000000 fd:02 62746      /lib/libgthread-2.0.so.0.3000.0
00114000-00115000 r--p 00003000 fd:02 62746      /lib/libgthread-2.0.so.0.3000.0
00115000-00116000 rw-p 00004000 fd:02 62746      /lib/libgthread-2.0.so.0.3000.0
00116000-00134000 r-xp 00000000 fd:02 62311      /lib/libselinux.so.1
00134000-00135000 r--p 0001d000 fd:02 62311      /lib/libselinux.so.1
00135000-00136000 rw-p 0001e000 fd:02 62311      /lib/libselinux.so.1
00136000-00152000 r-xp 00000000 fd:02 21147      /lib/libgcc_s-4.6.1-20111002.so.1
00152000-00153000 rw-p 0001b000 fd:02 21147      /lib/libgcc_s-4.6.1-20111002.so.1
00153000-0015e000 r-xp 00000000 fd:02 89948      /lib/libnss_files-2.14.90.so
0015e000-0015f000 r--p 0000a000 fd:02 89948      /lib/libnss_files-2.14.90.so
0015f000-00160000 rw-p 0000b000 fd:02 89948      /lib/libnss_files-2.14.90.so
003c9000-003f7000 r-xp 00000000 fd:02 114423     /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so
003f7000-003f8000 rw-p 0002d000 fd:02 114423     /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so
00518000-0051b000 r-xp 00000000 fd:02 62323      /lib/libgmodule-2.0.so.0.3000.0
0051b000-0051c000 r--p 00002000 fd:02 62323      /lib/libgmodule-2.0.so.0.3000.0
0051c000-0051d000 rw-p 00003000 fd:02 62323      /lib/libgmodule-2.0.so.0.3000.0
0053a000-00586000 r-xp 00000000 fd:02 62325      /lib/libgobject-2.0.so.0.3000.0
00586000-00587000 r--p 0004c000 fd:02 62325      /lib/libgobject-2.0.so.0.3000.0
00587000-00588000 rw-p 0004d000 fd:02 62325      /lib/libgobject-2.0.so.0.3000.0
005fc000-00628000 r-xp 00000000 fd:02 66966      /usr/lib/libpangoft2-1.0.so.0.2904.0
00628000-00629000 r--p 0002b000 fd:02 66966      /usr/lib/libpangoft2-1.0.so.0.2904.0
00629000-0062a000 rw-p 0002c000 fd:02 66966      /usr/lib/libpangoft2-1.0.so.0.2904.0
0077c000-0089c000 r-xp 00000000 fd:02 9916       /lib/libglib-2.0.so.0.3000.0
0089c000-0089d000 r--p 0011f000 fd:02 9916       /lib/libglib-2.0.so.0.3000.0
0089d000-0089e000 rw-p 00120000 fd:02 9916       /lib/libglib-2.0.so.0.3000.0
00acb000-00acc000 r-xp 00000000 00:00 0          [vdso]
00ae4000-00c25000 r-xp 00000000 fd:02 9908       /lib/libgio-2.0.so.0.3000.0
00c25000-00c27000 r--p 00141000 fd:02 9908       /lib/libgio-2.0.so.0.3000.0
00c27000-00c28000 rw-p 00143000 fd:02 9908       /lib/libgio-2.0.so.0.3000.0
00c28000-00c29000 rw-p 00000000 00:00 0 
00c49000-00c67000 r-xp 00000000 fd:02 196        /usr/lib/libatk-1.0.so.0.20209.1
00c67000-00c69000 r--p 0001d000 fd:02 196        /usr/lib/libatk-1.0.so.0.20209.1
00c69000-00c6a000 rw-p 0001f000 fd:02 196        /usr/lib/libatk-1.0.so.0.20209.1
00db2000-00dfa000 r-xp 00000000 fd:02 10783      /usr/lib/libpango-1.0.so.0.2904.0
00dfa000-00dfb000 ---p 00048000 fd:02 10783      /usr/lib/libpango-1.0.so.0.2904.0
00dfb000-00dfc000 r--p 00048000 fd:02 10783      /usr/lib/libpango-1.0.so.0.2904.0
00dfc000-00dfd000 rw-p 00049000 fd:02 10783      /usr/lib/libpango-1.0.so.0.2904.0
00ece000-00ed9000 r-xp 00000000 fd:02 66923      /usr/lib/libpangocairo-1.0.so.0.2904.0
00ed9000-00eda000 r--p 0000a000 fd:02 66923      /usr/lib/libpangocairo-1.0.so.0.2904.0
00eda000-00edb000 rw-p 0000b000 fd:02 66923      /usr/lib/libpangocairo-1.0.so.0.2904.0
08048000-0806a000 r-xp 00000000 fd:02 13417      /usr/bin/systemadm
0806a000-0806b000 r--p 00021000 fd:02 13417      /usr/bin/systemadm
0806b000-0806c000 rw-p 00022000 fd:02 13417      /usr/bin/systemadm
095ca000-09873000 rw-p 00000000 00:00 0          [heap]
49d90000-49db1000 r-xp 00000000 fd:02 174        /lib/ld-2.14.90.so
49db1000-49db2000 r--p 00020000 fd:02 174        /lib/ld-2.14.90.so
49db2000-49db3000 rw-p 00021000 fd:02 174        /lib/ld-2.14.90.so
49db5000-49f5b000 r-xp 00000000 fd:02 2961       /lib/libc-2.14.90.so
49f5b000-49f5c000 ---p 001a6000 fd:02 2961       /lib/libc-2.14.90.so
49f5c000-49f5e000 r--p 001a6000 fd:02 2961       /lib/libc-2.14.90.so
49f5e000-49f5f000 rw-p 001a8000 fd:02 2961       /lib/libc-2.14.90.so
49f5f000-49f62000 rw-p 00000000 00:00 0 
49f64000-49f7b000 r-xp 00000000 fd:02 115076     /lib/libpthread-2.14.90.so
49f7b000-49f7c000 r--p 00016000 fd:02 115076     /lib/libpthread-2.14.90.so
49f7c000-49f7d000 rw-p 00017000 fd:02 115076     /lib/libpthread-2.14.90.so
49f7d000-49f7f000 rw-p 00000000 00:00 0 
49f81000-49faa000 r-xp 00000000 fd:02 115186     /lib/libm-2.14.90.so
49faa000-49fab000 r--p 00028000 fd:02 115186     /lib/libm-2.14.90.so
49fab000-49fac000 rw-p 00029000 fd:02 115186     /lib/libm-2.14.90.so
49fae000-49fb1000 r-xp 00000000 fd:02 80228      /lib/libdl-2.14.90.so
49fb1000-49fb2000 r--p 00002000 fd:02 80228      /lib/libdl-2.14.90.so
49fb2000-49fb3000 rw-p 00003000 fd:02 80228      /lib/libdl-2.14.90.so
49fb5000-49fbd000 r-xp 00000000 fd:02 115162     /lib/librt-2.14.90.so
49fbd000-49fbe000 r--p 00007000 fd:02 115162     /lib/librt-2.14.90.so
49fbe000-49fbf000 rw-p 00008000 fd:02 115162     /lib/librt-2.14.90.so
49fc1000-49fd6000 r-xp 00000000 fd:02 115212     /lib/libz.so.1.2.5
49fd6000-49fd7000 rw-p 00014000 fd:02 115212     /lib/libz.so.1.2.5
4a13e000-4a155000 r-xp 00000000 fd:02 119623     /lib/libresolv-2.14.90.so
4a155000-4a156000 r--p 00016000 fd:02 119623     /lib/libresolv-2.14.90.so
4a156000-4a157000 rw-p 00017000 fd:02 119623     /lib/libresolv-2.14.90.so
4a157000-4a159000 rw-p 00000000 00:00 0 
4a163000-4a168000 r-xp 00000000 fd:02 119642     /usr/lib/libffi.so.5.0.10
4a168000-4a169000 r--p 00005000 fd:02 119642     /usr/lib/libffi.so.5.0.10Aborted

Expected results:
not trying to stop service / no crash

Additional info:
Comment 1 Fedora Admin XMLRPC Client 2011-10-20 12:31:20 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Florian "der-flo" Lehner 2011-11-07 03:23:22 EST
exactly the same problem for systemd-gtk-36-3.fc16.x86_64
Comment 3 Michal Schmidt 2012-03-20 10:41:52 EDT
*** Bug 752455 has been marked as a duplicate of this bug. ***
Comment 4 Michal Schmidt 2012-03-20 10:42:07 EDT
*** Bug 757363 has been marked as a duplicate of this bug. ***
Comment 5 Michal Schmidt 2012-03-20 10:42:17 EDT
*** Bug 759770 has been marked as a duplicate of this bug. ***
Comment 6 Michal Schmidt 2012-03-20 10:42:30 EDT
*** Bug 804929 has been marked as a duplicate of this bug. ***
Comment 7 Michal Schmidt 2012-03-20 10:45:32 EDT
systemadm is not getting much development activity. We've split it into a new package systemd-ui in F18. Reassigning this bug to systemd-ui and moving to Rawhide. Should a fix become available, we can do a backport to stable branches.
Comment 8 Kay Sievers 2012-03-20 11:11:05 EDT
Systemadm changed significantly in version 38, these issues might all be fixed.
Comment 9 Michal Schmidt 2012-03-20 11:18:27 EDT
Those changes were already backported to 37-6.fc16, but it's still crashy.
Comment 10 Michal Schmidt 2012-03-23 14:01:07 EDT
*** Bug 806430 has been marked as a duplicate of this bug. ***
Comment 11 Michal Schmidt 2012-05-24 05:54:05 EDT
*** Bug 824792 has been marked as a duplicate of this bug. ***
Comment 12 Michal Schmidt 2012-11-15 16:38:02 EST
*** Bug 877144 has been marked as a duplicate of this bug. ***
Comment 13 Michal Schmidt 2012-12-04 11:40:07 EST
*** Bug 883450 has been marked as a duplicate of this bug. ***
Comment 14 Michal Schmidt 2013-01-16 09:25:26 EST
*** Bug 879600 has been marked as a duplicate of this bug. ***
Comment 15 Michal Schmidt 2013-01-16 09:25:29 EST
*** Bug 887242 has been marked as a duplicate of this bug. ***
Comment 16 Michal Schmidt 2013-01-16 09:25:30 EST
*** Bug 896034 has been marked as a duplicate of this bug. ***
Comment 17 Fedora End Of Life 2013-04-03 11:58:45 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 18 Fedora Update System 2013-12-19 20:43:07 EST
systemd-ui-3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/systemd-ui-3-1.fc20
Comment 19 lnie 2013-12-20 00:59:18 EST
Tested with 3-1.fc20,crash is gone,but the "stop"button seems doesn't work
Comment 20 lnie 2013-12-20 01:07:43 EST
"start"and "restart"button also doesn't work sometimes
Comment 21 Fedora Update System 2013-12-20 21:29:58 EST
Package systemd-ui-3-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-ui-3-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-23755/systemd-ui-3-1.fc20
then log in and leave karma (feedback).
Comment 22 Fedora Update System 2013-12-28 18:37:14 EST
systemd-ui-3-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.